export const BASE_TOKEN_URI = "https://market.cebg.games/api/nft/info/";

export const DEFALUT_TOKENS = {
  321: [
    {
      type: "eth",
      address: "eth",
      symbol: "KCS",
      decimal: 18,
    },
    {
      type: "erc20",
      address: "0xcaA011E902103752435AC98657B046B282E36509",
      symbol: "CEC",
      decimal: 18,
    },
    {
      type: "erc20",
      address: "0xBE023C9D294A4668f0d510E2570CB81B4536cE77",
      symbol: "CEG",
      decimal: 18,
    },
  ],
  322: [
    {
      type: "eth",
      address: "eth",
      symbol: "tKCS",
      decimal: 18,
    },
    {
      type: "erc20",
      address: "0xdb6D4bB22E2C12686Efff25a79EC78f9f078fe7D",
      symbol: "CEC",
      decimal: 18,
    },
    {
      type: "erc20",
      address: "0xC5Cd606b3e9B80b758e8274B198c76D929aA094A",
      symbol: "CEG",
      decimal: 18,
    },
  ],
  97: [
    {
      type: "eth",
      address: "eth",
      symbol: "BNB",
      decimal: 18,
    },
  ],
  56: [
    {
      type: "eth",
      address: "eth",
      symbol: "BNB",
      decimal: 18,
    },
  ],
  137: [
    {
      type: "eth",
      address: "eth",
      symbol: "MATIC",
      decimal: 18,
    },
  ],
  80001: [
    {
      type: "eth",
      address: "eth",
      symbol: "MATIC",
      decimal: 18,
    },
    {
      type: "erc20",
      address: "0xfa513999031dC1DCf86e99d91101e17d07839235",
      symbol: "CEC",
      decimal: 18,
    },
    {
      type: "erc20",
      address: "0x9f87eCA8F0479383fF11a5AB2336b5A6c383d6F3",
      symbol: "CEG",
      decimal: 18,
    },
  ],
  1338: [
    {
      type: "eth",
      address: "eth",
      symbol: "ETH",
      decimal: 18,
    },
    {
      type: "erc20",
      address: "0x9561C133DD8580860B6b7E504bC5Aa500f0f06a7",
      symbol: "CEC",
      decimal: 18,
    },
    {
      type: "erc20",
      address: "0x59d3631c86BbE35EF041872d502F218A39FBa150",
      symbol: "CEG",
      decimal: 18,
    },
  ],
};

export const DEFAULT_NFT_TYPES = {
  321: {
    hero: {
      address: "0x0EB362BD40F2288fF25A6Ee1b487cB0cb4638e0D",
      type: "erc721",
    },
    weapon: {
      address: "0x29F67A372AC1c6AcF478A564992D421FE20F2cc8",
      type: "erc721",
    },
    chip: {
      address: "0x54B6ED7EDe9355b471985439421Aa1DC7Da6Dc20",
      type: "erc1155",
    },
    shard: {
      address: "0x54B6ED7EDe9355b471985439421Aa1DC7Da6Dc20",
      type: "erc1155",
    },
  },
  322: {
    hero: {
      address: "0x52917087cd4E48bDb5f336012E677f471f9E1C2D",
      type: "erc721",
    },
    weapon: {
      address: "0x500AD8A4D50d71Af5cA8eA3b12B914f7aE5466f7",
      type: "erc721",
    },
    chip: {
      address: "0x0640958BDb4D7956e1452FacEBD550C6Cf42aC94",
      type: "erc1155",
    },
    shard: {
      address: "0x54B6ED7EDe9355b471985439421Aa1DC7Da6Dc20",
      type: "erc1155",
    },
  },
  137: {
    hero: {
      address: "0xaE08adb5278B107D2501e7c61907e41FEf3887D7",
      type: "erc721",
    },
    weapon: {
      address: "0xee0044BF2ACEf7C3D7f6781d8f5DC4d2Dd1CE64c",
      type: "erc721",
    },
    chip: {
      address: "0xc058411B15E544291765F15B13c88582b7bceaD0",
      type: "erc1155",
    },
    shard: {
      address: "0x1d4c7908E6a6795aE4335D0F072B0A129AAFFdc1",
      type: "erc1155",
    },
  },
  80001: {
    hero: {
      address: "0x3EBF5196dADC8F3F09C808333f98FE8A4b7d1e62",
      type: "erc721",
    },
    weapon: {
      address: "0x2F2Ed1c403cB7156617449795dE1CB47A0302a25",
      type: "erc721",
    },
    chip: {
      address: "0x73482411443E87CAC124C12A10B34e9Aaa2De168",
      type: "erc1155",
    },
    shard: {
      address: "0xFc21A863bFb4E4534B246078772e2074e076f0a7",
      type: "erc1155",
    },
  },
  1338: {
    hero: {
      address: "0x9b1f7F645351AF3631a656421eD2e40f2802E6c0",
      type: "erc721",
    },
    weapon: {
      address: "0x2612Af3A521c2df9EAF28422Ca335b04AdF3ac66",
      type: "erc721",
    },
    chip: {
      address: "0x26b4AFb60d6C903165150C6F0AA14F8016bE4aec",
      type: "erc1155",
    },
    shard: {
      address: "0x0E696947A06550DEf604e82C26fd9E493e576337",
      type: "erc1155",
    },
  },
};

export const JC_CONTRACTS = {
  321: {
    nftMall: "0xa44927698D0aC8EF29e91508839cd6e10f773EE0",
    evolveFactory: "0x07Bad070e403a4Bad2Eec3BA3894c4524d3d2674",
    minterFactory: "0x5ecEFA2707e3f09B9A169ae696B36Df8dB7410ED",
  },
  322: {
    nftMall: "0xa44927698D0aC8EF29e91508839cd6e10f773EE0",
    evolveFactory: "0x07Bad070e403a4Bad2Eec3BA3894c4524d3d2674",
    minterFactory: "0x5ecEFA2707e3f09B9A169ae696B36Df8dB7410ED",
  },
  137: {
    nftMall: "0xa44927698D0aC8EF29e91508839cd6e10f773EE0",
    evolveFactory: "0x07Bad070e403a4Bad2Eec3BA3894c4524d3d2674",
    minterFactory: "0x5ecEFA2707e3f09B9A169ae696B36Df8dB7410ED",
  },
  80001: {
    nftMall: "0x1F6293c44633a50311Ec5Ab02ff14034b5c31272",
    evolveFactory: "0x9e6167B11Ad15D8407865E21D4770E9F6CF10853",
    minterFactory: "0xb60c7312F56da4303CE3bf27124f1850dBe1D0E5",
    chipLocker: "0x4Ef766854EE104053cF2D243620b7A643fCC2B54",
    nftFactory: "0xEA374dC9f94E7A3A2eE8C0C910954cE15E2C469E", // for minterFactory call
    market: "0x806eA3301c2bA2a3C710D97931a6C0Fe00E45B33",
  },
  1338: {
    nftMall: "0x5017A545b09ab9a30499DE7F431DF0855bCb7275",
    evolveFactory: "0xaD888d0Ade988EbEe74B8D4F39BF29a8d0fe8A8D",
    minterFactory: "0x6eD79Aa1c71FD7BdBC515EfdA3Bd4e26394435cC",
    chipLocker: "0xFF6049B87215476aBf744eaA3a476cBAd46fB1cA",
    nftFactory: "0xA94B7f0465E98609391C623d0560C5720a3f2D33", // for minterFactory call
    market: "0xFC628dd79137395F3C9744e33b1c5DE554D94882",
  },
};
