import { saveRecord } from "../api/RecordApi";
import { AsyncQueue, createAsyncQueue } from "../common/AsyncQueue";
import { singleton } from "../decorator/singleton.decorator";

@singleton
export class LoggerQueue {
  private queue: AsyncQueue;

  constructor() {
    this.queue = createAsyncQueue();
  }

  public addLog(data: any) {
    this.queue.push(async () => {
      try {
        await saveRecord(data);
      } catch (err) {
        console.log("error save tx record: ");
        console.log(err);
      }
    });
  }
}
